<?php

namespace WKO\Controllers\Orders;

use WKO\Controllers\Render\EditOrders as RenderEditOrders;
use WKO\Model\Options;

/**
 * Name: Edit Orders
 * Order controller
 * @package Controllers\Orders
 * @since 1.0.0
 */
class EditOrders
{
    private $opt;

    public function __construct()
    {
        $this->opt = new Options;
        add_action( 'woocommerce_admin_order_data_after_billing_address', [ $this, 'koin_order_label' ], 10, 1 );
    }

    /**
     * Call render to order edit page
     * @since 1.0.0
     * @param object
     * @return void
     */
    public function koin_order_label( $order )
    {
        $gateway = $this->opt->get_gateways_option();

        if ( $gateway['enable_sync_option'] === 'yes' ) {

            $data = $order->get_data();
            
            if ( isset( $data['payment_method'] ) ) {
                $method = $data['payment_method'];
                
                if ( array_intersect( [ $method ], [ "wc-koin-billet" ] ) ) {
                    new RenderEditOrders( $data );
                }
            } 
            
        }
    }
}