<?php

namespace WKO\Controllers\Render;

use WKO\Controllers\Render;
use WKO\Helpers\Config;
use WKO\Model\PostMeta;

/**
 * Name: Billet Thankyou
 * Render the billet thankyou page
 * @package Controller\Render
 * @since 1.0.0
 */
class BilletThankyou extends Render
{
    private $vars;
    public function __construct()
    {
        $this->get_order();
        echo $this->render( 'templates/thankyou-page/billet.php', $this->vars );
    }

    private function get_order()
    {
        $this->vars = [];
        $payment_link = "";

        $key = sanitize_text_field( $_REQUEST['key'] );
        if ( $key ) {
            $order = wc_get_order_id_by_order_key( $key );

            $post_m = new PostMeta;
            $payment_link = $post_m->get($order, '_payment_link');
        }

        $this->vars = [
            'payment_link' => $payment_link,
            'logo'         => Config::__image( 'koin/b-koin-258.png' )
        ];
    }
}