<?php

namespace WKO\Services\Koin\Requests\Orders;

use WKO\Services\Koin\Authentication;
use WKO\Services\Koin\Requests\InterfaceRequest;
use WKO\Services\Koin\Requests\Request;

/**
 * Name: Create
 * Create a new koin payment
 * @package Koin\Requests\Orders
 * @param array $body
 * @since 1.0.0
 */
class Create extends Request implements InterfaceRequest
{
    public function __construct( $body )
    {
        $auth = new Authentication;

        $this->endpoint = $this->get_endpoint( '/payment/v1/orders' );
        $this->body     = $body;
        $this->header   = [
            'Authorization' => $auth->gen_auth()
        ];
        
        $this->method  = 'POST';
    }

    public function handle_request()
    {
        return $this->send();
    }
}
