class Billet
{
    constructor() {
        this.addClasses();
        this.setLogo();
        this.sandboxSection();
    }

    addClasses() {
        const wrap = document.querySelector("#mainform")
        wrap.classList.add("wrap-koin");

        const trs = document.querySelectorAll('tr');
        trs.forEach(tr => {
            tr.classList.add("top-koin");
        }); 
    }

    setLogo() {
        const title = document.querySelector(".wrap-koin h2");
        const imagePath = document.querySelector("#woocommerce_wc-koin-billet_koin_logo");

        const img = document.createElement('img');
        const hr  = document.createElement('hr');
        img.setAttribute("src", imagePath.value);

        if ( title ) {
            title.parentNode.insertBefore(img, title);
            title.parentNode.insertBefore(hr, title);
        }


    }

    copy(txt) {

        txt.select();
        document.execCommand('copy');

        const text = txt.value;

        txt.value = 'The text was copied!';
    
        setTimeout(() => {
            txt.value = text;
        }, 1000);
    }

    sandboxSection() {
        const check    = document.querySelector("#woocommerce_wc-koin-billet_testmode");
        const name     = document.querySelector("#woocommerce_wc-koin-billet_test_store_name");
        const iss      = document.querySelector("#woocommerce_wc-koin-billet_test_store_iss");
        const secret   = document.querySelector("#woocommerce_wc-koin-billet_test_secret_key");
        const consumer = document.querySelector("#woocommerce_wc-koin-billet_test_consumer_key");

        if ( ! check ) return;
        
        this.handleHide( check, [ secret, consumer, name, iss ] )
    }


    handleHide( check, fields ) {
        this.initializeHide( check, fields );

        check.addEventListener("change", () => {
            fields.forEach(field => {
                let section = field.parentElement.parentElement.parentElement;
                section.classList.toggle('top-disable');
            });

        });   
    }

    initializeHide( check, fields ) {
        if (check && !check.getAttribute("checked")) {
            fields.forEach(field => {
                let _field = field.parentElement.parentElement.parentElement;
                _field.classList.add("top-disable");
            });
        }
    }
}

document.addEventListener("DOMContentLoaded", () => {
    const koin = document.querySelector("#woocommerce_wc-koin-billet_enabled");
    if ( koin ) {
        new Billet;
    }
});